-- cost_of_living1.sql

DECLARE
  TYPE coli_rec_type IS RECORD (
    city person.city%TYPE,
    state person.state%TYPE,
    col_index NUMBER(2,2)
  );
  TYPE coli_type IS TABLE OF coli_rec_type INDEX BY PLS_INTEGER;
  coli coli_type;

BEGIN
  coli(1).city := 'Denver';
  coli(1).state := 'CO';
  coli(1).col_index := .06;

  coli(2).city := 'Los Angeles';
  coli(2).state := 'CA';
  coli(2).col_index := .52;

  coli(3).city := 'Las Vegas';
  coli(3).state := 'NV';
  coli(3).col_index := .12;

  coli(4).city := 'Seattle';
  coli(4).state := 'WA';
  coli(4).col_index := .23;

  coli(5).city := 'Reno';
  coli(5).state := 'NV';
  coli(5).col_index := .12;

  coli(6).city := 'Salt Lake City';
  coli(6).state := 'UT';
  coli(6).col_index := 0;

  coli(7).city := 'San Francisco';
  coli(7).state := 'CA';
  coli(7).col_index := .76;

END;
/
